List Fields
curl --request GET \
--url https://api.lemlist.com/api/fields \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/fields"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"data": {
"contact": [
{
"name": "email",
"label": "Email",
"type": "text",
"source": "default"
},
{
"name": "firstName",
"label": "First name",
"type": "text",
"source": "default"
},
{
"name": "revenue",
"label": "Annual Revenue",
"type": "number",
"source": "custom"
},
{
"name": "tier",
"label": "Tier",
"type": "select",
"source": "custom",
"options": [
"Gold",
"Silver",
"Bronze"
]
},
{
"name": "leadStatus",
"label": "leadStatus",
"type": "text",
"source": "crm_synced",
"crmField": "hs_lead_status"
}
],
"company": [
{
"name": "linkedinUrl",
"label": "LinkedIn URL",
"type": "text",
"source": "default"
},
{
"name": "industry",
"label": "Industry",
"type": "text",
"source": "custom"
}
]
}
}
Fields
List Fields
Lists all available fields for contacts and companies.
GET
/
fields
List Fields
curl --request GET \
--url https://api.lemlist.com/api/fields \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/fields"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true,
"data": {
"contact": [
{
"name": "email",
"label": "Email",
"type": "text",
"source": "default"
},
{
"name": "firstName",
"label": "First name",
"type": "text",
"source": "default"
},
{
"name": "revenue",
"label": "Annual Revenue",
"type": "number",
"source": "custom"
},
{
"name": "tier",
"label": "Tier",
"type": "select",
"source": "custom",
"options": [
"Gold",
"Silver",
"Bronze"
]
},
{
"name": "leadStatus",
"label": "leadStatus",
"type": "text",
"source": "crm_synced",
"crmField": "hs_lead_status"
}
],
"company": [
{
"name": "linkedinUrl",
"label": "LinkedIn URL",
"type": "text",
"source": "default"
},
{
"name": "industry",
"label": "Industry",
"type": "text",
"source": "custom"
}
]
}
}
Returns all available fields for contacts and companies, grouped by entity.
Use this endpoint to discover field names before upserting contacts or companies.
Field sources
| Source | Description |
|---|---|
default | Built-in fields available on every account (e.g. email, firstName, phone) |
custom | Custom fields created by your team, in the app or with Create or Update Field. A select field carries its options. |
crm_synced | Fields your CRM field mapping includes that are neither default nor custom fields (e.g. leadStatus) |
CRM-mapped fields
Each field is listed once. When your team has a CRM connected, a field the field mapping between lemlist and your CRM includes carries an additionalcrmField property: the name of the field on the CRM side. This goes for default, custom and crm_synced fields alike.
If no CRM is connected, no field carries crmField and no crm_synced fields are returned.
Filtering
Use query parameters to narrow results:entity— return fields for a single entity (contactorcompany)source— return only fields from a specific source (default,custom, orcrm_synced)
Authorizations
Query Parameters
Was this page helpful?